// INDEX FILE LOGIN - refactor into component accessible as modal!

<template>
  <div class="content">
    <h1>LOGIN</h1>

    <input v-model="email" type="email" name="email" placeholder="email" />
    <br />
    <input
      v-model="password"
      type="password"
      name="password"
      placeholder="password"
    />
    <br />
    <button @click="login">
      <nuxt-link to="/">Log In</nuxt-link>
    </button>
  </div>
</template>

<script>
import AuthenticationService from '@/services/AuthenticationService'
export default {
  data() {
    return {
      email: '',
      password: ''
    }
  },
  methods: {
    async login() {
      try {
        const response = await AuthenticationService.login({
          email: this.email,
          password: this.password
        })
        this.$store.commit('store/setToken', response.data.token)
        this.$store.commit('store/setUser', response.data.user)
      } catch (error) {
        this.error = error
      }
    }
  }
}
</script>

<style scoped></style>
